Exportar alertas
curl --request GET \
--url https://sandbox.api.veepag.com/v1/alert/exports \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/alert/exports"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/alert/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/alert/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/alert/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/alert/exports")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/alert/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[]{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/alert/exports",
"metadata": {}
}Alert
Exportar alertas
Exporta alertas. O limite confirmado e de 100.000 itens por exportacao.
GET
/
v1
/
alert
/
exports
Exportar alertas
curl --request GET \
--url https://sandbox.api.veepag.com/v1/alert/exports \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/alert/exports"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/alert/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/alert/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/alert/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/alert/exports")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/alert/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body[]{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/alert/exports",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/alert/exports",
"metadata": {}
}Authorizations
api_keytoken
API key no formato keyId.secret.
Query Parameters
Available options:
asc, desc Available options:
createdAt, lastUpdate Available options:
ETHOCA, VISA Response
Alertas exportados.
ID do alerta.
ID da empresa vinculada ao alerta.
Referencia externa vinculada ao alerta, quando houver.
Status atual do alerta.
Available options:
CREATED, ACKNOWLEDGEMENT, NOT_FOUND, REFUNDED, RESOLVED, ERROR_REFUNDED, ERROR, CANCELED, CHARGEBACK, DISPUTE Tipo do alerta, como ETHOCA ou VISA.
Available options:
ETHOCA, VISA ID da transacao vinculada, quando houver.
ID do cliente vinculado, quando houver.
Dados de pagamento associados ao alerta.
Informacoes operacionais do alerta.
Valores associados ao alerta.
Data de criacao do alerta.
Data da ultima atualizacao do alerta.
Was this page helpful?
